/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#include <cstdio>
#include <cstdlib>
#define _USE_MATH_DEFINES
#include <cmath>

using namespace std;

int main(int argc, char *argv[])
{
    int rc = 2;
    //  
    int n;

    //      
    if (argc == 2 && (n = strtol(argv[1], NULL, 0)) > 0)
    {
        //   
        double sum = 0.0;

        for (int i = 0; i < n; ++i)
            sum += ((i & 1) ? - 1.0 : 1.0) / ((i << 1) | 1);

        sum *= 4.0;

        fprintf(stdout, "%.16f\n", sum);

        //  
        rc = 0;
    }
    else
        fprintf(stderr, "error: iternum is not specified\n");

    return rc;
}
