/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#ifdef _OPENMP
#include <omp.h>
#endif //_OPENMP

#include <list>
#include "../../common/synprintf.hxx"
using namespace z;

using namespace std;

void process(int i)
{
    // ...
    synprintf(stdout, "Iter %d\n", i);
}

int main(int argc, char *argv[])
{
    int n = 3;

    list<int> stack;
    // ...
    stack.assign(n, n);

    n = stack.size();
    #pragma omp parallel for
    for (int i = 0; i < n; ++i)
    {
        int arg;
        #pragma omp critical
        {
            arg = stack.back();
            stack.pop_back();
        }
        process(arg);
    }
    return 0;
}
