/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#ifdef _OPENMP
#include <omp.h>
#endif //_OPENMP

#include "../../common/synprintf.hxx"
using namespace z;

int main(int argc, char *argv[])
{
    int proc;
#ifdef _OPENMP
    proc = omp_get_num_procs();
#else
    proc = 1;
#endif //_OPENMP
    synprintf(stdout, "There are %d processors available\n", proc);
    return 0;
}
