/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#ifdef _OPENMP
#include <omp.h>
#endif //_OPENMP

#include "../../common/synprintf.hxx"
using namespace z;

int main(int argc, char *argv[])
{
    //  !!!
    #pragma omp parallel sections num_threads(2)
    {
        #pragma omp section
        {
            #pragma omp critical (a)
            {
                //  a   b
                #pragma omp critical (b)
                synprintf(stdout, "Hello, World 1!\n");
            }
        }
        #pragma omp section
        {
            #pragma omp critical (b)
            {
                //  b   a
                #pragma omp critical (a)
                synprintf(stdout, "Hello, World 2!\n");
            }
        }
    }
    return 0;
}
