/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#include <cstdio>

using namespace std;

enum { NUM_ITER = 1000000, NUM_THREADS = 4 };

int main(int argc, char *argv[])
{
    double sum = 0.0;
    #pragma omp parallel for num_threads(NUM_THREADS) reduction(+: sum)
    for (int i = 0; i < NUM_ITER; ++i)
        sum += ((i & 1) ? - 1.0 : 1.0) / ((i << 1) | 1);
    fprintf(stdout, "%.16f\n", sum * 4.0);
    return 0;
}
