/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#ifdef _OPENMP
#include <omp.h>
#endif //_OPENMP

#include <cstdlib>
#include "../../common/synprintf.hxx"
using namespace z;

int main(int argc, char *argv[])
{
    int n = (argc > 1) ? strtol(argv[1], NULL, 0) : 1;
    #pragma omp parallel if(n > 1 && n <= 16) num_threads(n)
    synprintf(stdout, "Hello, World!\n");
    return 0;
}
