/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#ifdef _OPENMP
#include <omp.h>
#endif //_OPENMP

#include "../../common/synprintf.hxx"
using namespace z;

int main(int argc, char *argv[])
{
    #pragma omp parallel num_threads(3)
    #pragma omp sections
    {
        #pragma omp section
        synprintf(stdout, "Hello, World 1!\n");
        #pragma omp section
        synprintf(stdout, "Hello, World 2!\n");
        #pragma omp section
        synprintf(stdout, "Hello, World 3!\n");
    }
    return 0;
}
