/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#ifdef _OPENMP
#include <omp.h>
#endif //_OPENMP

#include "../../common/synprintf.hxx"
using namespace z;

int main(int argc, char *argv[])
{
    int n = 100;

    #pragma omp parallel
    {
        #pragma omp single
        synprintf(stdout, "Stage 1\n");

        #pragma omp for
        for (int i = 0; i < n; ++i)
        {
            // ...
        }

        #pragma omp single
        synprintf(stdout, "Stage 2\n");

        #pragma omp for
        for (int i = 0; i < n; ++i)
        {
            // ...
        }
    }
    return 0;
}
