/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#ifdef _OPENMP
#include <omp.h>
#endif //_OPENMP

#include <set>
#include "../../common/synprintf.hxx"
using namespace z;

using namespace std;

int calc1(int)
{
    // ...
    return 0;
}

int calc2(int)
{
    // ...
    return 0;
}

int calc3(int)
{
    // ...
    return 0;
}

int main(int argc, char *argv[])
{
    int n = 100;

    set<int> a, b;
    #pragma omp parallel for
    for (int i = 0; i < n; ++i)
    {
        int item1 = calc1(i);
        #pragma omp critical (seta)
        a.insert(item1);

        int item2 = calc2(i);
        #pragma omp critical (setb)
        b.insert(item2);

        int item3 = calc3(i);
        #pragma omp critical (setb)
        b.insert(item3);
    }
    return 0;
}
