/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#ifdef _OPENMP
#include <omp.h>
#endif //_OPENMP

#include "../../common/synprintf.hxx"
using namespace z;

int calc(int)
{
    // ...
    return 0;
}

int main(int argc, char *argv[])
{
    int n = 100;

    #pragma omp parallel for ordered
    for (int i = 0; i < n; ++i)
    {
        int item = calc(i);
        #pragma omp ordered
        synprintf(stdout, "Result of iteration %d: %d\n", i, item);
    }
    return 0;
}
