/* ------------------------------------------------------------------------- */
/*        ,                  */
/*     :                              */
/*   ..                                                             */
/*    . - .: -, 2012. - 384 . */
/*  ISBN 978-5-91359-102-9                                                   */
/*                                                                           */
/*     ,           */
/*                   */
/*   ,      .  */
/*                   */
/*  ,                 */
/*       .                                     */
/*     " ",            */
/*         .       */
/*                                                                           */
/*  Copyright  2008-2011  ..                                       */
/* ------------------------------------------------------------------------- */


#ifdef _OPENMP
#include <omp.h>
#endif //_OPENMP

#include "../../common/synprintf.hxx"
using namespace z;

int main(int argc, char *argv[])
{
    static int a = 10;
    #pragma omp threadprivate(a)

    a = 5;

    #pragma omp parallel for num_threads(5) copyin(a)
    for (int i = 0; i < 10; ++i)
        synprintf(stdout, "Local value of 'a' is %d\n", a);
    return 0;
}
